Ocsinventory::Agent::Backend::OS::BSD::Networks(3pm)

NAME
OCSInventory::Agent::Backend::OS::BSD::Networks - Network-related information

DESCRIPTION
This module retrieves network information.

FUNCTIONS

  getSpeed
Returns the speed of the card.

  getRoute
Returns the gateway

  getIPNetmaskV4
Returns the IP v4 network mask

  getIPNetmaskV6
Returns the IP v6 network mask

  getSubnetAddressIPv4
Returns the subnet of ip v4 network

  getSubnetAddressIPv6
Returns the subnet of ip v6 network